Bug 64283 - Print a form letter (=mail merge) has no database table in the upper part
Summary: Print a form letter (=mail merge) has no database table in the upper part
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:4.2.0 target:4.1.0.1
Keywords: regression
Depends on:
Blocks: 47951
  Show dependency treegraph
 
Reported: 2013-05-06 15:42 UTC by Regina Henschel
Modified: 2013-06-06 13:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
zip-Container with database and text document (11.32 KB, application/zip)
2013-05-06 15:42 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2013-05-06 15:42:56 UTC
Created attachment 78932 [details]
zip-Container with database and text document

I have created a text document, which contains mail merge field.
When I print it, LO asks whether to print a form letter.
Answer with yes. The dialog to choose records opens, but the upper part, where the database table should be, does not exist.
If I nevertheless print all records to file in one single document, I get nothing.
Comment 1 Lionel Elie Mamane 2013-05-16 04:06:29 UTC
Reproduced in master (4.1.0.0alpha) commit 9c3420d18173fd6c9380cf8ff7e2a4ad886e9e0b of Wed May 15 07:24:43 2013 +0200 my own debug build on Debian GNU/Linux amd64, with database and document from attachment 59117 [details] (so *another* database and document).

Reassigning to writer to be looked at by a Writer developer. If you can pinpoint it to a specific database code bug (e.g. this call to this method of this object should/used to return FOO, but returns BAR), then you can bounce the bug back to me.

Workaround: use Tools/mail-merge
Comment 2 Lionel Elie Mamane 2013-05-16 04:13:11 UTC
Additionally, on my debug build, LibreOffice exits with status 1 when I click "cancel" in the mail merge window; not an abort/segfault/... that is caught by gdb, just a plain exit. Don't know if it does that on a non-debug build.

Note that in a debug build, one also gets a very big number of instances of:

warn:vcl:29504:1:vcl/source/app/dbggui.cxx:1748: SolarMutex not locked

(That is, if one has disabled the assert there; else it just aborts...)

May be linked or not, dunno.
Comment 3 Michael Stahl (CIB) 2013-06-05 22:57:01 UTC
bibisect says it's in here...
c68b934cd03e60ab6e0579108089b0e834ac47ad..0987f5691248b9a14059b1e9a136d25570fe96d5

aha, this one it is:

commit b248624126c271c88381d3dad6e04fc954f65779
Author:     Noel Grandin <noel@peralex.com>
AuthorDate: Fri Mar 22 09:24:15 2013 +0200

    fdo#46808, Convert frame::Frame to new style
Comment 4 Commit Notification 2013-06-06 13:17:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=61ab0ca621898afa817c92c4d13229fa943dfba8

fdo#64283: SwMailMergeDlg: add back missing initialize



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2013-06-06 13:25:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a62dba0ba4915e4029a3eb4d41311489d73c933&h=libreoffice-4-1

fdo#64283: SwMailMergeDlg: add back missing initialize


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Stahl (CIB) 2013-06-06 13:28:54 UTC
a line was accidentally removed, fixed it now, thanks for the report.